godo.ActionGateway.Tools.List()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.ActionGateway.Tools.List(ctx context.Context, opt *godo.ActionGatewayToolListOptions) (*godo.ActionGatewayToolsResponse, *godo.Response, error)Description
List retrieves a page of catalog tools.
This method sends a GET request to /v2/action-gateway/tools.
Parameters
opt*godo.ActionGatewayToolListOptions
Fields of godo.ActionGatewayToolListOptions
ActionGatewayToolListOptions filters the tool catalog.
ToolkitIDstringPageintPerPageint
Returns
- *godo.ActionGatewayToolsResponse
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.ActionGatewayToolsResponse
ActionGatewayToolsResponse contains a page of tools and definitions.
VersionstringTools[]godo.ActionGatewayToolDefinitions[]godo.ActionGatewayToolDefinitionPagination*godo.ActionGatewayPagination
Request Sample
Response Example
More Information
See GET /v2/action-gateway/tools in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.